Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List issue activity

GET/workspaces/{organizationId}/issues/{issueId}/activity
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
issueIdstringrequired
Responses
200

Unified issue activity feed

activityobject[]required
Show properties
Array of object
One of:
object
kindstringrequired
Allowed:history
idstringrequired
issueIdstringrequired
fieldstringrequired
fromValuestring | nullrequired
toValuestring | nullrequired
actorIdstring | nullrequired
createdAtstringrequired
object
kindstringrequired
Allowed:comment
idstringrequired
issueIdstring | nullrequired
bodystringrequired
authorIdstring | nullrequired
externalAuthorstring | nullrequired
createdAtstringrequired
object
kindstringrequired
Allowed:agent
idstringrequired
issueIdstringrequired
sessionIdstringrequired
typestringrequired
messagestringrequired
actorIdstring | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/issues/string/activity' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "activity": [
    {
      "kind": "history",
      "id": "string",
      "issueId": "string",
      "field": "string",
      "fromValue": "string",
      "toValue": "string",
      "actorId": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?